package aop;

import org.aopalliance.aop.Advice;
import org.springframework.aop.Pointcut;
import org.springframework.aop.PointcutAdvisor;

//from JavaDoc Advisor : This interface is not for use by Spring users, but to allow for commonality in support for different types of advice. 

public class MyAdvisor implements PointcutAdvisor{
	public Pointcut getPointcut() {
		return Pointcut.TRUE;
	}

	public boolean isPerInstance() {
		return false;
	}

	public Advice getAdvice() {
		return new MyIntercepter();
	}
}
